<?php
/* MemberPages Snippet */
/* First, reject any users who are not logged in */
if (!$isAuthenticated = 
    $modx->user->hasSessionContext($modx->context->get('key')) ) {
    $modx->sendUnauthorizedPage();
    /* could also redirect to the Register page here */
}
/* if it's not the user's page or a child, send them to the Members page */
/* replace 12 with the ID of the page to send them to */
$tr = $modx->getOption('tree_root_id');
$children = $modx->getChildIds($tr);
$children[] = $tr;
if (! in_array($modx->resource->get('id'),$children)) {
    /* return "Wrong Page Tree Root:".$tr . " Page ID: " .
       $modx->resource->get('id');
    */
    $modx->sendRedirect($modx->makeUrl(12));
}

return "";
