<?php
/* MemberPages Snippet */
/* First, reject any users who are not logged in */
if (!$isAuthenticated = 
    $modx->user->hasSessionContext($modx->context->get('key')) ) {
    $modx->sendUnauthorizedPage();
    /* could also redirect to the Register page here */
}
/* if it's not one of the tree_root_id folders or a child, send them to the Members page */
$tr = $modx->getOption('tree_root_id');
/* create an array out of the roots */
$roots = explode(',' , $tr);
/* add the roots to the full list */
$fullList = $roots;

foreach ($roots as $root) {
    $children = $modx->getChildIds($root);
    if (! empty($children)) { /* add the children (if any) */
        $fullList = array_merge($fullList, $children);
    }
}
/* replace 12 with the ID of the page to send them to */
/* return print_r($fullList,true); */
if (! in_array($modx->resource->get('id'),$fullList)) {
    $modx->sendRedirect($modx->makeUrl(12));
}


return "";
