<?php
/* Code for install.script.php File */
/* Make the $modx object available */
$modx =& $object->xpdo;
/* get the default template */
$default_template = $modx->config['default_template'];
$success = false;
switch($options[xPDOTransport::PACKAGE_ACTION]) {
    case xPDOTransport::ACTION_INSTALL:
        if (isset($options['install_sample']) && $options['install_sample'] == 'Yes' ) {
            $modx->log(xPDO::LOG_LEVEL_INFO, "Creating Hello2Demo resource");
            $r = $modx->newObject('modDocument');
            $r->set('class_key','modDocument');
            $r->set('context_key','web');
            $r->set('type','document');
            $r->set('contentType','text/html');
            $r->set('pagetitle','Hello2Demo');
            $r->set('longtitle','Hello2Demo Page');
            $r->set('description','Displays output of Hello2 Snippet');
            $r->set('alias','hello2‑demo');
            $r->set('published','1');
            $r->set('parent','0');
            $r->setContent('[[Hello2]]');
            $r->set('richtext','0');
            $r->set('menuindex','99');
            $r->set('searchable','1');
            $r->set('cacheable','1');
            $r->set('menutitle','Hello');
            $r->set('hidemenu','0');
            $r->set('template', $default_template);
            $r->save();
        }
        $success = true;
        break;
case xPDOTransport::ACTION_UPGRADE:
$success = true;
break;
case xPDOTransport::ACTION_UNINSTALL:
if (false === $modx->removeObject('modResource',
array('name'=>'Hello2Demo'))) {
$modx->log(xPDO::LOG_LEVEL_INFO,
"<br /><b> NOTE: You may have to remove the Hello2Demo Page manually</b><br />");
}
$success = true;
break;
}
return $success;
?>