<?php
/* Code for ObjectDemo Snippet */
$output = '<h2>Object Demo Snippet Output</h2>';
/* ‑‑‑‑‑‑ Add lines here ‑‑‑‑‑‑ */

$output .= '<h3>Current Resource Info</h3>';
$resource =& $modx->resource;
$fields = $resource->toArray();
$output .= '<pre>' . print_r($fields, true) . '</pre>';

$resource = $modx->getObject('modResource',
array('pagetitle'=>'DocName'));  /* Change DocName to the name of an actual resource */
$output .= '<p>The ' . $resource->get('pagetitle') . ' resource has ';
$output .= $resource->hasChildren() . ' children.';
if ($resource->get('isfolder')) {
$output .= ' and it is a folder.';
} else {
$output .= ' and it is not a folder';
}
$output .= '</p>';

if ($resource->hasChildren()) {
$id = $resource->get('id');
$children = $modx->getChildIds($id);
$output = '<p>Children: ';
$output .= implode(',',$children) . '</p>';
}

$resourceArray = $modx->getParentIds($id);
$output .= '<p>Parents: ' . implode(', ', resourceArray) . '</p>';

/* ‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑‑ */
return $output;
?>