<?php
/* MemberPages Snippet */
/* First, reject any users who are not logged in */
if (!$isAuthenticated = 
    $modx->user->hasSessionContext($modx->context->get('key')) ) {
    $modx->sendUnauthorizedPage();
    /* could also redirect to the Register page here */
}
/* if it's not the user's page, send them to the Members page */
$tr = $modx->getOption('tree_root_id');
if ($tr != $modx->resource->get('id') ) {
    /* return "Wrong Page Tree Root:" . $tr . " Page ID: " .
       $modx->resource->get('id');
    */
    /* replace 12 with the ID of the Members page */
    $modx->sendRedirect($modx->makeUrl(12));
}
return "";
