<?php
/* MemberPages Snippet */
/* First, reject any users who are not logged in */
if (!$isAuthenticated =
$modx->user->hasSessionContext($modx->context->get('key')) ) {
$modx->sendUnauthorizedPage();
/* could also redirect to the Register page here */
}
/* if it's not the user's page or a child of it, send them to the Members page */
$tr = $modx->getOption('tree_root_id');
/* create an array out of the roots */
$roots = explode(',' , $tr);
/* add the roots to the full list */
$fullList = $roots;
foreach ($roots as $root) {
$children = $modx->getChildIds($root);
if (! empty($children)) { /* add the children (if any) */
$fullList = array_merge($fullList, $children);
}
}
/* return print_r($fullList,true); */
if (! in_array($modx->resource->get('id'),$fullList)) {
$modx->sendRedirect($modx->makeUrl('##'));
}
return "";